//
//  GSContainerProtocol.h
//  GlyphsCore
//
//  Created by Georg Seifert on 22.02.14.
//  Copyright (c) 2014 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlyphsCore/GSBase.h>

@class GSFont;
@class GSGlyph;
@class GSLayer;
@class GSShape;

@protocol GSContainerProtocol <NSObject>

@optional

- (GSGlyph *)glyph;

- (GSLayer *)layer;

- (void)elementDidChange:(id)element;

@property (nonatomic, readonly) GSFont *font;

#ifndef GLYPHS_VIEWER
@property (nonatomic, readonly) NSUndoManager *undoManager;
#endif

@end

typedef NSObject<GSContainerProtocol> GSContainer;
